Richwidgets Jquery version update
Application Type
Traditional Web
Platform Version
11.12.0.31906

Hi Community 

      In my application i have some vulnerability Jquery version, its all present in Richwidget form system components, when i am checking in service center the version of the component is 11.12 but the jquery version are very old one so how i can update it on Richwidget module.

Any idea?

Thanks in Advance

Balaji

mvp_badge
MVP

Hi Balaji,

The jQuery version used by the platform (version 1.8.3) has a few known vulnerabilities that can be considered false positives because the version was patched by OutSystems.

More details here: https://success.outsystems.com/Support/Security/Penetration_testing

Furthermore, you cannot upgrade the platform's default jQuery version since there is a chance it would break existing functionality. 

Hope this helps.

Regards,

Nordin

Community GuidelinesBe kind and respectful, give credit to the original source of content, and search for duplicates before posting.